%define upstream_name    Filter-Simple
%define upstream_version 0.88

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simplified source filtering
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Filter/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Text::Balanced) >= 1.970.0
BuildArch:  noarch

%description
The Problem
    Source filtering is an immensely powerful feature of recent versions of
    Perl. It allows one to extend the language itself (e.g. the Switch
    module), to simplify the language (e.g. Language::Pythonesque), or to
    completely recast the language (e.g. Lingua::Romana::Perligata).
    Effectively, it allows one to use the full power of Perl as its own,
    recursively applied, macro language.

    The excellent Filter::Util::Call module (by Paul Marquess) provides a
    usable Perl interface to source filtering, but it is often too powerful
    and not nearly as simple as it could be.

    To use the module it is necessary to do the following:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Jan 04 2012 jquelin <jquelin> 0.880.0-1.mga2
+ Revision: 190533
- update to 0.88

* Fri Nov 04 2011 jquelin <jquelin> 0.870.0-2.mga2
+ Revision: 162807
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 0.870.0-1.mga2
+ Revision: 112042
- update to 0.87

* Fri Feb 18 2011 jquelin <jquelin> 0.850.0-2.mga1
+ Revision: 53615
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.850.0-1.mga1
+ Revision: 29121
- mageia rebuild
- imported package perl-Filter-Simple

